Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.huguesjohnson.tiamat.graphics
Class ImageData

    java.lang.Object
      com.huguesjohnson.tiamat.graphics.ImageData

    public class ImageData

extends java.lang.Object

ImageData- used to store the position of an image

Author:
  Hugues Johnson

Constructor Summary
`ImageData(java.lang.String imagePath, int x, int y)` Creates a new instance of ImageData.

Method Summary
`java.lang.String` | `getImagePath()` Returns the full path to the image.
`int` | `getX()` Returns the x position of the image.
`int` | `getY()` Returns the y position of the image.
`void` | `setImagePath(java.lang.String imagePath)` Sets the full path to the image.
`void` | `setX(int x)` Sets the x position of the image.
`void` | `setY(int y)` Sets the y position of the image.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageData

    public ImageData(java.lang.String imagePath,
                     int x,
                     int y)

  Creates a new instance of ImageData.

  Parameters:
    `x` - The x position of the image.
    `y` - The y position of the image.
    `imagePath` - The full path to the image.

Method Detail

### getX

    public int getX()

  Returns the x position of the image.

  Returns:
    The x position of the image.

### setX

    public void setX(int x)

  Sets the x position of the image.

  Parameters:
    `x` - The x position of the image.

### getY

    public int getY()

  Returns the y position of the image.

  Returns:
    The y position of the image.

### setY

    public void setY(int y)

  Sets the y position of the image.

  Parameters:
    `y` - The y position of the image.

### getImagePath

    public java.lang.String getImagePath()

  Returns the full path to the image.

  Returns:
    The full path to the image.

### setImagePath

    public void setImagePath(java.lang.String imagePath)

  Sets the full path to the image.

  Parameters:
    `imagePath` - The full path to the image.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hugues Johnson